Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 2525

Summary: members of floppy group don't get access to floppy drive(s)
Product: [Retired] Red Hat Linux Reporter: hargrove
Component: pamAssignee: Michael K. Johnson <johnsonm>
Status: CLOSED NEXTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0CC: aleksey
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-07-30 15:35:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description hargrove 1999-05-03 21:10:59 UTC
According to section 11.5 of rhl-install-guide-en-6.0-2
users added to the 'floppy' group should have access to the
floppy drive(s) even when they are not logged-in at the
console.  There are currently two reasons why this fails:

First, in dev-2.7.7-1 the floppy devices do belong to the
correct group, but no group permisions are granted
(mode=600).  Second, the file /etc/security/console.perms
(from pam-0.66-18) will cause the group permissions to be
zeroed (again mode=600) everytime somebody logs in or out at
the console, making the problem in the dev package pretty
likely to be immaterial.

It could be argued that this is a documentation bug, since
both the dev and pam packages agree that no group
permissions are granted on floppy devices.  However, since
console access is a new concept the RHL 6.0, this new
documentation clearly indicates to me that floppy group
access is/was intended for RHL 6.0.

Comment 1 Michael K. Johnson 1999-07-15 18:48:59 UTC
You are correct.  This is a bug either in /etc/security/console.perms
or in the documentation.  We'll decide which one after weighing the
pros and cons and fix one or the other.

In the meantime, you can change the last 600 in the floppy line in
/etc/security/console.perms to 660 and it will work for you.  Sorry
for the inconvenience.

Comment 2 Michael K. Johnson 1999-07-30 15:35:59 UTC
This will be changed in the next release of pam to
<console> 0660 <floppy>    0660 root